#
# Conditional build:
%bcond_with	tests	# perform "make test" (runs xmms)
#
%define		pdir	Xmms
%define		pnam	Perl
Summary:	Perl modules for interaction with XMMS
Summary(pl.UTF-8):	Moduły Perla pozwalające na interakcję z XMMS-em
Name:		perl-Xmms
Version:	0.12
Release:	19
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Xmms/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d1fbf6d09330f7855dd80f3ceee8e6f7
URL:		http://search.cpan.org/dist/Xmms-Perl/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	xmms-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides Perl modules for interaction with popular XMMS
player. Most important ones are: Xmms, which provides shell-like
interface to XMMS and Xmms::Remote, which is Perl interface to
xmms_remote API.

%description -l pl.UTF-8
Pakiet zawiera moduły Perla pozwalające na interakcję z popularnym
odtwarzaczem XMMS. Najważniejsze z tych modułów to: Xmms, który
umożliwia sterowanie XMMS-em przez interfejs przypominający powłokę
i Xmms::Remote, który jest interfejsem perlowym do udostępnianego
przez XMMS-a API xmms_remote.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Xmms.pm
%{perl_vendorarch}/Xmms
%dir %{perl_vendorarch}/auto/Xmms
%dir %{perl_vendorarch}/auto/Xmms/SongChange
%{perl_vendorarch}/auto/Xmms/SongChange/SongChange.so
%dir %{perl_vendorarch}/auto/Xmms/Remote
%{perl_vendorarch}/auto/Xmms/Remote/Remote.so
%dir %{perl_vendorarch}/auto/Xmms/Config
%{perl_vendorarch}/auto/Xmms/Config/Config.so
%{_mandir}/man3/*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Xmms.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> c11ec95
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 292677e
- perl 5.38.0 rebuild

* Sat Jun 10 2023 Jan Rękorajski <baggins@pld-linux.org> 89121ff
- updated deps, rel 17

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 0825eb7
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> c6cfb94
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> e13986b
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> f3dadc0
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 5f0e3d3
- rebuild with perl 5.30.0
- release 13 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> a93ec74
- rebuild with perl 5.28.0
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 914cd5f
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c3030c9
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 87d5f50
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 02bd66a
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 0f00677
- x32 rebuild
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 50f3e95
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c0cee33
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4507469
- release 4

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 17d618e
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b56c7ae
- rel 3

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> e5c924d
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

